#pragma once
#include <map>
struct M_ActivitySummerPlanRechargedCFGData
{
	//ID
	int mID;
	//解锁条件
	int mNeedRecharged;
	//奖励道具ID
	std::vector<int> mItemID;
	//奖励道具数量
	std::vector<int> mItemCount;
};

class M_ActivitySummerPlanRechargedCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerPlanRechargedCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerPlanRechargedCFGData* GetData(int ID);
	const std::map<int, M_ActivitySummerPlanRechargedCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerPlanRechargedCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySummerPlanRechargedCFGData> mMapData;
};
